git » base-pkgbuilds.git » commit bfa9901

Feature to pull packages direct from AUR

author Urja (ARMLFS builder)
2025-03-02 10:12:45 UTC
committer Urja (ARMLFS builder)
2025-03-02 10:12:45 UTC
parent 7a746f7550e2bfe03fe7e22ed39bd8d9785dab0e

Feature to pull packages direct from AUR

archpkg +1 -23
aurpkg +2 -0
pkgfromgit.sh +24 -0

diff --git a/archpkg b/archpkg
index 5c00960..4e7c7ce 100755
--- a/archpkg
+++ b/archpkg
@@ -1,24 +1,2 @@
 #!/bin/sh
-set -e
-if [ -d "$1" ]; then
-	./mpkg.sh $1
-	exit 0
-fi
-git clone https://gitlab.archlinux.org/archlinux/packaging/packages/$1.git
-#rm -rf $1/.git
-#rm -rf $1/keys
-#echo $1 >> order
-if ARCHLINE=$(grep "arch=" $1/PKGBUILD); then
-	if echo "$ARCHLINE" | grep -q armv7h; then
-		true
-	elif echo "$ARCHLINE" | grep -q any; then
-		true
-	else
-		sed -i -e "/^arch=/s/[)]/ \'armv7h\'\)/" $1/PKGBUILD
-	fi
-fi
-nano $1/PKGBUILD
-echo "Enter to build, Ctrl-C to Abort."
-read dummy
-chown -R builder:builder $1
-./mpkg.sh $1
+exec ./pkgfromgit.sh $1 "https://gitlab.archlinux.org/archlinux/packaging/packages/$1.git"
diff --git a/aurpkg b/aurpkg
new file mode 100755
index 0000000..12b969a
--- /dev/null
+++ b/aurpkg
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec ./pkgfromgit.sh $1 "https://aur.archlinux.org/$1.git"
diff --git a/pkgfromgit.sh b/pkgfromgit.sh
new file mode 100755
index 0000000..5417b60
--- /dev/null
+++ b/pkgfromgit.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+if [ -d "$1" ]; then
+	./mpkg.sh $1
+	exit 0
+fi
+git clone "$2"
+#rm -rf $1/.git
+#rm -rf $1/keys
+#echo $1 >> order
+if ARCHLINE=$(grep "arch=" $1/PKGBUILD); then
+	if echo "$ARCHLINE" | grep -q armv7h; then
+		true
+	elif echo "$ARCHLINE" | grep -q any; then
+		true
+	else
+		sed -i -e "/^arch=/s/[)]/ \'armv7h\'\)/" $1/PKGBUILD
+	fi
+fi
+nano $1/PKGBUILD
+echo "Enter to build, Ctrl-C to Abort."
+read dummy
+chown -R builder:builder $1
+./mpkg.sh $1